-- for course mode, we don't need everything that's in the song part.
local t = Def.ActorFrame {
	InitCommand=cmd(fov,90);

	LoadActor( THEME:GetPathB("","_frame 3x3"), "_rounded blackinset transparent normal", 256, 24)..{
		Name="CourseItemBG";
		SetMessageCommand=function(self,param)
			if param.Course then
				local cType = param.Course:GetCourseType();
				local colors = {
					CourseType_Nonstop = HSV(48,0.25,1),
					CourseType_Oni = HSV(240,0.25,1),
					CourseType_Endless = HSV(144,0.25,1),
					CourseType_Survival = HSV(0,0.325,1),
				};
				self:diffuse(colors[cType]);
			end;
		end;
	};
};

return t;